#ifndef TRENDMANAGER_H
#define TRENDMANAGER_H
#include "datamanagerbase.h"
#include "db/structs.h"

class XSqlExcute;
class TrendManager : public DataManagerBase
{
public:
    TrendManager();
    ~TrendManager();

    virtual void doExcute();

    virtual void decodeToMysql();

    virtual void getDataFromMysql();

private:
    bool hasTrendData();

private:
    QList<_trendStocks> trendStocksDatas;
    QHash<QString,trends> trendsDatas;
    QHash<QString,QString> blemind2StockCounts;
};

#endif // TRENDMANAGER_H
